//+------------------------------------------------------------------+
//|                                                  Signal_Bars.mq4 |
//|                      Copyright  2006, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
//|                                            Sapucay-InfoTrade.mq4 |
//|                          Actualizaciones: Jun 2009 - MasterWhite | 
//|                            contacto: rubendieminger@arnet.com.ar | 
//+------------------------------------------------------------------+
#property copyright "Copyright  2006, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"
#property indicator_chart_window
extern string configuracion ="-----Configuracin del MultiDisplay";
extern bool Esquina_Superior_derecha = true;
extern bool Ver_precio_ampliado = true;
extern bool Ver_detalles = true;
extern bool Letras_chicas = false;
int Shift = 0; 


//+------------------------------------------------------------------+
//| Inicio de Funcin Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
{
   return(0);
}

//+------------------------------------------------------------------+
//| Finalizacin de funcin
//+------------------------------------------------------------------+
int deinit()
{
   // Borrar todos los objetos
   ObjectsDeleteAll(0,OBJ_LABEL); 
   return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
{
   int counted_bars=IndicatorCounted();
   string SSignalMACDH1="",SSignalMACDH4="",SSignalMACDM1="", SSignalMACDM5="",SSignalMACDM15="",SSignalMACDM30="";   
   color  colMACDH1,colMACDH4,colMACDM1,colMACDM5,colMACDM15,colMACDM30;  
   
   // --------------------------------------------------
   // Captura de datos de Macd
   // --------------------------------------------------
      
   double MACDM1=iMACD(NULL,1,8,17,9,PRICE_CLOSE,MODE_MAIN,0); 
   double MACD_SIGM1=iMACD(NULL,1,8,17,9,PRICE_CLOSE,MODE_SIGNAL,0);    
   double MACDM5=iMACD(NULL,5,8,17,9,PRICE_CLOSE,MODE_MAIN,0); 
   double MACD_SIGM5=iMACD(NULL,5,8,17,9,PRICE_CLOSE,MODE_SIGNAL,0);
   double MACDM15=iMACD(NULL,15,8,17,9,PRICE_CLOSE,MODE_MAIN,0); 
   double MACD_SIGM15=iMACD(NULL,15,8,17,9,PRICE_CLOSE,MODE_SIGNAL,0);       
   double MACDM30=iMACD(NULL,30,8,17,9,PRICE_CLOSE,MODE_MAIN,0); 
   double MACD_SIGM30=iMACD(NULL,30,8,17,9,PRICE_CLOSE,MODE_SIGNAL,0);    
   double MACDH1=iMACD(NULL,60,8,17,9,PRICE_CLOSE,MODE_MAIN,0); 
   double MACD_SIGH1=iMACD(NULL,60,8,17,9,PRICE_CLOSE,MODE_SIGNAL,0); 
   double MACDH4=iMACD(NULL,240,8,17,9,PRICE_CLOSE,MODE_MAIN,0); 
   double MACD_SIGH4=iMACD(NULL,240,8,17,9,PRICE_CLOSE,MODE_SIGNAL,0); 
   
   // --------------------------------------------------
   // Determinacin de colores 
   // --------------------------------------------------
      
   if (MACDM1>MACD_SIGM1){SSignalMACDM1 = "-"; colMACDM1 = Green;} 
   if (MACDM1<=MACD_SIGM1){SSignalMACDM1 = "-"; colMACDM1 = Tomato;} 
   if ((MACDM1>MACD_SIGM1)&&(MACDM1>0)){SSignalMACDM1 = "-"; colMACDM1 = Lime;} 
   if ((MACDM1<=MACD_SIGM1)&&(MACDM1<0)){SSignalMACDM1 = "-"; colMACDM1 = Red;} 
         
   if (MACDM5>MACD_SIGM5){SSignalMACDM5 = "-"; colMACDM5 = Green;} 
   if (MACDM5<=MACD_SIGM5){SSignalMACDM5 = "-"; colMACDM5 = Tomato;}
   if ((MACDM5>MACD_SIGM5)&&(MACDM5>0)){SSignalMACDM5 = "-"; colMACDM5 = Lime;} 
   if ((MACDM5<=MACD_SIGM5)&&(MACDM5<0)){SSignalMACDM5 = "-"; colMACDM5 = Red;} 
      
   if (MACDM15>MACD_SIGM15){SSignalMACDM15 = "-"; colMACDM15 = Green;} 
   if (MACDM15<=MACD_SIGM15){SSignalMACDM15 = "-"; colMACDM15 = Tomato;}
   if ((MACDM15>MACD_SIGM15)&&(MACDM15>0)){SSignalMACDM15 = "-"; colMACDM15 = Lime;} 
   if ((MACDM15<=MACD_SIGM15)&&(MACDM15<0)){SSignalMACDM15 = "-"; colMACDM15 = Red;} 
          
   if (MACDM30>MACD_SIGM30){SSignalMACDM30 = "-"; colMACDM30 = Green;} 
   if (MACDM30<=MACD_SIGM30){SSignalMACDM30 = "-"; colMACDM30 = Tomato;}
   if ((MACDM30>MACD_SIGM30)&&(MACDM30>0)){SSignalMACDM30 = "-"; colMACDM30 = Lime;} 
   if ((MACDM30<=MACD_SIGM30)&&(MACDM30<0)){SSignalMACDM30 = "-"; colMACDM30 = Red;}  
           
   if (MACDH1>MACD_SIGH1){SSignalMACDH1 = "-"; colMACDH1 = Green;} 
   if (MACDH1<=MACD_SIGH1){SSignalMACDH1 = "-"; colMACDH1 = Tomato;}
   if ((MACDH1>MACD_SIGH1)&&(MACDH1>0)){SSignalMACDH1 = "-"; colMACDH1 = Lime;} 
   if ((MACDH1<=MACD_SIGH1)&&(MACDH1<0)){SSignalMACDH1 = "-"; colMACDH1 = Red;}  
         
   if (MACDH4>MACD_SIGH4){SSignalMACDH4 = "-"; colMACDH4 = Green;} 
   if (MACDH4<=MACD_SIGH4){SSignalMACDH4 = "-"; colMACDH4 = Tomato;}
   if ((MACDH4>MACD_SIGH4)&&(MACDH4>0)){SSignalMACDH4 = "-"; colMACDH4 = Lime;} 
   if ((MACDH4<=MACD_SIGH4)&&(MACDH4<0)){SSignalMACDH4 = "-"; colMACDH4 = Red;}    
      
   // --------------------------------------------------
   // Poner seales de Macd
   // --------------------------------------------------
      
    if (Esquina_Superior_derecha == true)
    {  
           ObjectCreate("Gentileza_de_MasterWhite", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Gentileza_de_MasterWhite", " ESTRATEGIA SAPUCAY", 09, "Arial Narrow", Yellow);
   ObjectSet("Gentileza_de_MasterWhite", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Gentileza_de_MasterWhite", OBJPROP_XDISTANCE, 17);
   ObjectSet("Gentileza_de_MasterWhite", OBJPROP_YDISTANCE, 25+Shift-14); 

           ObjectCreate("Numbers", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Numbers", " M1    M5    M15   M30    H1    H4", 6, "Tahoma Narrow", Silver);
   ObjectSet("Numbers", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Numbers", OBJPROP_XDISTANCE, 17);
   ObjectSet("Numbers", OBJPROP_YDISTANCE, 25+Shift); 
   }
    if (Esquina_Superior_derecha == false)
    { 
           ObjectCreate("Gentileza_de_MasterWhite", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Gentileza_de_MasterWhite", " Estrategia Sapucay", 09, "Arial Narrow", Yellow);
   ObjectSet("Gentileza_de_MasterWhite", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Gentileza_de_MasterWhite", OBJPROP_XDISTANCE, 15);
   ObjectSet("Gentileza_de_MasterWhite", OBJPROP_YDISTANCE, 25+Shift-10); 

           ObjectCreate("Numbers", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Numbers", "H4    H1    M30   M15    M5    M1", 6, "Tahoma Narrow", Silver);
   ObjectSet("Numbers", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Numbers", OBJPROP_XDISTANCE, 15);
   ObjectSet("Numbers", OBJPROP_YDISTANCE, 25+Shift); 
    } 
           ObjectCreate("SSignalMACDM1t", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SSignalMACDM1t", "MACD", 6, "Tahoma Narrow", Silver);
   ObjectSet("SSignalMACDM1t", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SSignalMACDM1t", OBJPROP_XDISTANCE, 140);
   ObjectSet("SSignalMACDM1t", OBJPROP_YDISTANCE, 35+Shift); 
   
           ObjectCreate("SSignalMACDM1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SSignalMACDM1", SSignalMACDM1, 45, "Tahoma Narrow", colMACDM1);
   ObjectSet("SSignalMACDM1", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SSignalMACDM1", OBJPROP_XDISTANCE, 110);
   ObjectSet("SSignalMACDM1", OBJPROP_YDISTANCE, 2+Shift); 
   
     
           ObjectCreate("SSignalMACDM5", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SSignalMACDM5", SSignalMACDM5, 45, "Tahoma Narrow", colMACDM5);
   ObjectSet("SSignalMACDM5", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SSignalMACDM5", OBJPROP_XDISTANCE, 90);
   ObjectSet("SSignalMACDM5", OBJPROP_YDISTANCE, 2+Shift); 
   
      
           ObjectCreate("SSignalMACDM15", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SSignalMACDM15", SSignalMACDM15, 45, "Tahoma Narrow", colMACDM15);
   ObjectSet("SSignalMACDM15", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SSignalMACDM15", OBJPROP_XDISTANCE, 70);
   ObjectSet("SSignalMACDM15", OBJPROP_YDISTANCE, 2+Shift); 
   
      
           ObjectCreate("SSignalMACDM30", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SSignalMACDM30", SSignalMACDM30, 45, "Tahoma Narrow", colMACDM30);
   ObjectSet("SSignalMACDM30", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SSignalMACDM30", OBJPROP_XDISTANCE, 50);
   ObjectSet("SSignalMACDM30", OBJPROP_YDISTANCE, 2+Shift); 
   
              
          ObjectCreate("SSignalMACDH1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SSignalMACDH1", SSignalMACDH1, 45, "Tahoma Narrow", colMACDH1);
   ObjectSet("SSignalMACDH1", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SSignalMACDH1", OBJPROP_XDISTANCE, 30);
   ObjectSet("SSignalMACDH1", OBJPROP_YDISTANCE, 2+Shift); 
   
            ObjectCreate("SSignalMACDH4", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SSignalMACDH4", SSignalMACDH4, 45, "Tahoma Narrow", colMACDH4);
   ObjectSet("SSignalMACDH4", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SSignalMACDH4", OBJPROP_XDISTANCE, 10);
   ObjectSet("SSignalMACDH4", OBJPROP_YDISTANCE, 2+Shift); 
    
   // --------------------------------------------------
   // Leer RSI
   // --------------------------------------------------

   double rsi_h4 = iRSI(NULL, PERIOD_H4, 9, PRICE_CLOSE, 0);
   double rsi_h1 = iRSI(NULL, PERIOD_H1, 9, PRICE_CLOSE, 0);
   double rsi_m30 = iRSI(NULL, PERIOD_M30, 9, PRICE_CLOSE, 0);
   double rsi_m15 = iRSI(NULL, PERIOD_M15, 9, PRICE_CLOSE, 0);
   double rsi_m5 = iRSI(NULL, PERIOD_M5, 9, PRICE_CLOSE, 0);
   double rsi_m1 = iRSI(NULL, PERIOD_M1, 9, PRICE_CLOSE, 0);
   
   // --------------------------------------------------
   // Leer estocastico
   // --------------------------------------------------
   
   double stoc_H4 = iStochastic(NULL, PERIOD_H4, 5,3,3, MODE_EMA, 0, MODE_MAIN, 0);
   double stoc_H1 = iStochastic(NULL, PERIOD_H1, 5,3,3, MODE_EMA, 0, MODE_MAIN, 0);
   double stoc_M30 = iStochastic(NULL, PERIOD_M30, 5,3,3, MODE_EMA, 0, MODE_MAIN, 0);
   double stoc_M15 = iStochastic(NULL, PERIOD_M15, 5,3,3, MODE_EMA, 0, MODE_MAIN, 0);//sto was 15,5,5
   double stoc_M5 = iStochastic(NULL, PERIOD_M5, 5,3,3, MODE_EMA, 0, MODE_MAIN, 0);
   double stoc_M1 = iStochastic(NULL, PERIOD_M1, 5,3,3, MODE_EMA, 0, MODE_MAIN, 0);// was mode signal now gets value off main line
   
   // --------------------------------------------------
   // Leer cci
   // --------------------------------------------------
   
   double cci_HH4 = iCCI(NULL, PERIOD_H4,13, PRICE_CLOSE, 0);
   double cci_HH1 = iCCI(NULL, PERIOD_H1,13, PRICE_CLOSE, 0); 
   double cci_MM30 = iCCI(NULL, PERIOD_M30,13, PRICE_CLOSE, 0);     
   double cci_MM15 = iCCI(NULL, PERIOD_M15,13, PRICE_CLOSE, 0);    
   double cci_MM5 = iCCI(NULL, PERIOD_M5,13, PRICE_CLOSE, 0);       
   double cci_MM1 = iCCI(NULL, PERIOD_M1,13, PRICE_CLOSE, 0);
     
   string STR_h1 = "", STR_m15 = "", STR_m5 = "", STR_m1 = "", STR_h4 ="",STR_m30= "",STR_d1= "",STR_w1= "";
   
   // --------------------------------------------------
   // determinacion de color
   // --------------------------------------------------

   color  color_signal,color_m1,color_m5,color_m15,color_m30,color_m60,color_m240;
  
   if ((rsi_h4 > 50) && (stoc_H4 > 40) && (cci_HH4 > 0)) { STR_h4 = "-";color_m240 = Lime;}  //&& (wpr_HHH4 > -50)
   if ((rsi_h1 > 50) && (stoc_H1 > 40) && (cci_HH1 > 0)) { STR_h1 = "-";color_m60 = Lime;}
   if ((rsi_m30 > 50) && (stoc_M30 > 40) && (cci_MM30 > 0)) { STR_m30 = "-";color_m30 = Lime; }
   if ((rsi_m15 > 50) && (stoc_M15 > 40) && (cci_MM15 > 0)) { STR_m15 = "-";color_m15 = Lime; }
   if ((rsi_m5 > 50) && (stoc_M5 > 40) && (cci_MM5 > 0)) { STR_m5 = "-"; color_m5 = Lime;}
   if ((rsi_m1 > 50) && (stoc_M1 > 40) && (cci_MM1 > 0)) { STR_m1 = "-";  color_m1 = Lime;}
   
  
 
   if ((rsi_h4 < 50) && (stoc_H4 < 60) && (cci_HH4 < 0)) { STR_h4 = "-";color_m240 = Red;}
   if ((rsi_h1 < 50) && (stoc_H1 < 60) && (cci_HH1 < 0)) { STR_h1 = "-";color_m60 = Red;}
   if ((rsi_m30 < 50) && (stoc_M30 < 60) && (cci_MM30 < 0)) { STR_m30 = "-";color_m30 = Red;}
   if ((rsi_m15 < 50) && (stoc_M15 < 60) && (cci_MM15 < 0)) { STR_m15 = "-";color_m15 = Red;}
   if ((rsi_m5 < 50) && (stoc_M5 < 60) && (cci_MM5 < 0)) { STR_m5 = "-";color_m5 = Red;}
   if ((rsi_m1 < 50) && (stoc_M1 < 60) && (cci_MM1 < 0)) { STR_m1 = "-"; color_m1 = Red;}
   
     
   if ((rsi_m1 < 50) && (stoc_M1 > 40) && (cci_MM1 > 0)) { STR_m1 = "-";  color_m1 = Orange;}
   if ((rsi_m1 > 50) && (stoc_M1 < 60) && (cci_MM1 < 0)) { STR_m1 = "-";  color_m1 = Orange;}
   if ((rsi_m1 < 50) && (stoc_M1 > 40) && (cci_MM1 < 0)) { STR_m1 = "-";  color_m1 = Orange;}
   if ((rsi_m1 > 50) && (stoc_M1 < 60) && (cci_MM1 > 0)) { STR_m1 = "-";  color_m1 = Orange;}
   if ((rsi_m1 > 50) && (stoc_M1 > 40) && (cci_MM1 < 0)) { STR_m1 = "-";  color_m1 = Orange;}  
   if ((rsi_m1 > 50) && (stoc_M1 < 60) && (cci_MM1 < 0)) { STR_m1 = "-";  color_m1 = Orange;}
   
   
   if ((rsi_m5 < 50) && (stoc_M5 > 40) && (cci_MM5 > 0)) { STR_m5 = "-";  color_m5 = Orange;}
   if ((rsi_m5 > 50) && (stoc_M5 < 60) && (cci_MM5 < 0)) { STR_m5 = "-";  color_m5 = Orange;}
   if ((rsi_m5 < 50) && (stoc_M5 > 40) && (cci_MM5 < 0)) { STR_m5 = "-";  color_m5 = Orange;}
   if ((rsi_m5 > 50) && (stoc_M5 < 60) && (cci_MM5 > 0)) { STR_m5 = "-";  color_m5 = Orange;}
   if ((rsi_m5 > 50) && (stoc_M5 > 40) && (cci_MM5 < 0)) { STR_m5 = "-";  color_m5 = Orange;}  
   if ((rsi_m5 > 50) && (stoc_M5 < 60) && (cci_MM5 < 0)) { STR_m5 = "-";  color_m5 = Orange;}
   
   if ((rsi_m15 < 50) && (stoc_M15 > 40) && (cci_MM15 > 0)) { STR_m15 = "-";  color_m15 = Orange;}
   if ((rsi_m15 > 50) && (stoc_M15 < 60) && (cci_MM15 < 0)) { STR_m15 = "-";  color_m15 = Orange;}
   if ((rsi_m15 < 50) && (stoc_M15 > 40) && (cci_MM15 < 0)) { STR_m15 = "-";  color_m15 = Orange;}
   if ((rsi_m15 > 50) && (stoc_M15 < 60) && (cci_MM15 > 0)) { STR_m15 = "-";  color_m15 = Orange;}
   if ((rsi_m15 > 50) && (stoc_M15 > 40) && (cci_MM15 < 0)) { STR_m15 = "-";  color_m15 = Orange;}  
   if ((rsi_m15 > 50) && (stoc_M15 < 60) && (cci_MM15 < 0)) { STR_m15 = "-";  color_m15 = Orange;}
      
   if ((rsi_m30 < 50) && (stoc_M30 > 40) && (cci_MM30 > 0)) { STR_m30 = "-";  color_m30 = Orange;}
   if ((rsi_m30 > 50) && (stoc_M30 < 60) && (cci_MM30 < 0)) { STR_m30 = "-";  color_m30 = Orange;}
   if ((rsi_m30 < 50) && (stoc_M30 > 40) && (cci_MM30 < 0)) { STR_m30 = "-";  color_m30 = Orange;}
   if ((rsi_m30 > 50) && (stoc_M30 < 60) && (cci_MM30 > 0)) { STR_m30 = "-";  color_m30 = Orange;}
   if ((rsi_m30 > 50) && (stoc_M30 > 40) && (cci_MM30 < 0)) { STR_m30 = "-";  color_m30 = Orange;}  
   if ((rsi_m30 > 50) && (stoc_M30 < 60) && (cci_MM30 < 0)) { STR_m30 = "-";  color_m30 = Orange;}
   
   if ((rsi_h1 < 50) && (stoc_H1 > 40) && (cci_HH1 > 0)) { STR_h1 = "-";  color_m60 = Orange;}
   if ((rsi_h1 > 50) && (stoc_H1 < 60) && (cci_HH1 < 0)) { STR_h1 = "-";  color_m60 = Orange;}
   if ((rsi_h1 < 50) && (stoc_H1 > 40) && (cci_HH1 < 0)) { STR_h1 = "-";  color_m60 = Orange;}
   if ((rsi_h1 > 50) && (stoc_H1 < 60) && (cci_HH1 > 0)) { STR_h1 = "-";  color_m60 = Orange;}
   if ((rsi_h1 > 50) && (stoc_H1 > 40) && (cci_HH1 < 0)) { STR_h1 = "-";  color_m60 = Orange;}  
   if ((rsi_h1 > 50) && (stoc_H1 < 60) && (cci_HH1 < 0)) { STR_h1 = "-";  color_m60 = Orange;}
   
   if ((rsi_h4 < 50) && (stoc_H4 > 40) && (cci_HH4 > 0)) { STR_h4 = "-";  color_m240 = Orange;}
   if ((rsi_h4 > 50) && (stoc_H4 < 60) && (cci_HH4 < 0)) { STR_h4 = "-";  color_m240 = Orange;}
   if ((rsi_h4 < 50) && (stoc_H4 > 40) && (cci_HH4 < 0)) { STR_h4 = "-";  color_m240 = Orange;}
   if ((rsi_h4 > 50) && (stoc_H4 < 60) && (cci_HH4 > 0)) { STR_h4 = "-";  color_m240 = Orange;}
   if ((rsi_h4 > 50) && (stoc_H4 > 40) && (cci_HH4 < 0)) { STR_h4 = "-";  color_m240 = Orange;}  
   if ((rsi_h4 > 50) && (stoc_H4 < 60) && (cci_HH4 < 0)) { STR_h4 = "-";  color_m240 = Orange;}
   
   
     
           ObjectCreate("SignalSTRM1t", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalSTRM1t","STR", 6, "Tahoma Narrow",  Silver);
   ObjectSet("SignalSTRM1t", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalSTRM1t", OBJPROP_XDISTANCE, 140);
   ObjectSet("SignalSTRM1t", OBJPROP_YDISTANCE, 43+Shift); 
    
           ObjectCreate("SignalSTRM1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalSTRM1", STR_m1, 45, "Tahoma Narrow",  color_m1);
   ObjectSet("SignalSTRM1", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalSTRM1", OBJPROP_XDISTANCE, 110);
   ObjectSet("SignalSTRM1", OBJPROP_YDISTANCE, 10+Shift); 
        
           ObjectCreate("SignalSTRM5", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalSTRM5", STR_m5, 45, "Tahoma Narrow",  color_m5);
   ObjectSet("SignalSTRM5", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalSTRM5", OBJPROP_XDISTANCE, 90);
   ObjectSet("SignalSTRM5", OBJPROP_YDISTANCE, 10+Shift); 
      
           ObjectCreate("SignalSTRM15", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalSTRM15", STR_m15, 45, "Tahoma Narrow",  color_m15);
   ObjectSet("SignalSTRM15", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalSTRM15", OBJPROP_XDISTANCE, 70);
   ObjectSet("SignalSTRM15", OBJPROP_YDISTANCE, 10+Shift); 
      
           ObjectCreate("SignalSTRM30", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalSTRM30", STR_m30, 45, "Tahoma Narrow",  color_m30);
   ObjectSet("SignalSTRM30", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalSTRM30", OBJPROP_XDISTANCE, 50);
   ObjectSet("SignalSTRM30", OBJPROP_YDISTANCE, 10+Shift); 
      
           ObjectCreate("SignalSTRM60", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalSTRM60", STR_h1, 45, "Tahoma Narrow",  color_m60);
   ObjectSet("SignalSTRM60", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalSTRM60", OBJPROP_XDISTANCE, 30);
   ObjectSet("SignalSTRM60", OBJPROP_YDISTANCE, 10+Shift); 
         
           ObjectCreate("SignalSTRM240", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalSTRM240", STR_h4, 45, "Tahoma Narrow",  color_m240);
   ObjectSet("SignalSTRM240", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalSTRM240", OBJPROP_XDISTANCE, 10);
   ObjectSet("SignalSTRM240", OBJPROP_YDISTANCE, 10+Shift); 
   
   //******************************************************************************************************************
   //EMA Signals
   
   
    double EMA_M1 = iMA(Symbol(),1,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_m1 = iMA(Symbol(),1,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_M5 = iMA(Symbol(),5,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_m5 = iMA(Symbol(),5,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_M15 = iMA(Symbol(),15,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_m15 = iMA(Symbol(),15,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_M30 = iMA(Symbol(),30,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_m30 = iMA(Symbol(),30,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_H1 = iMA(Symbol(),60,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_h1 = iMA(Symbol(),60,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_H4 = iMA(Symbol(),240,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_h4 = iMA(Symbol(),240,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_D1 = iMA(Symbol(),1440,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_d1 = iMA(Symbol(),1440,9,0,MODE_EMA,PRICE_CLOSE,0);
    double EMA_W1 = iMA(Symbol(),10080,5,0,MODE_EMA,PRICE_CLOSE,0);
    double ema_w1 = iMA(Symbol(),10080,9,0,MODE_EMA,PRICE_CLOSE,0);
    
    string M1_EMA= "",M5_EMA= "", M15_EMA= "", M30_EMA= "", H1_EMA= "", H4_EMA= "",PRC1;
    color  color_EMAm1,color_EMAm5,color_EMAm15,color_EMAm30,color_EMAm60,color_EMAm240;     
         
    
    if (EMA_M1 > ema_m1) {M1_EMA= "-";color_EMAm1 = Lime; }
    if (EMA_M1 <= ema_m1) {M1_EMA= "-";color_EMAm1 = Red; }
    
    if (EMA_M5 > ema_m5) {M5_EMA= "-";color_EMAm5 = Lime; }
    if (EMA_M5 <= ema_m5) {M5_EMA= "-";color_EMAm5 = Red; }
    
    if (EMA_M15 > ema_m15) {M15_EMA= "-";color_EMAm15 = Lime; }
    if (EMA_M15 <= ema_m15) {M15_EMA= "-";color_EMAm15 = Red; }
    
    if (EMA_M30 > ema_m30) {M30_EMA= "-";color_EMAm30 = Lime; }
    if (EMA_M30 <= ema_m30) {M30_EMA= "-";color_EMAm30 = Red; }
    
    if (EMA_H1 > ema_h1) {H1_EMA= "-";color_EMAm60 = Lime; }
    if (EMA_H1 <= ema_h1) {H1_EMA= "-";color_EMAm60 = Red; }
    
    if (EMA_H4 > ema_h4) {H4_EMA= "-";color_EMAm240 = Lime; }
    if (EMA_H4 <= ema_h4) {H4_EMA= "-";color_EMAm240 = Red; }
    
          
           ObjectCreate("SignalEMAM1t", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalEMAM1t","EMA", 6, "Tahoma Narrow",  Silver);
   ObjectSet("SignalEMAM1t", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalEMAM1t", OBJPROP_XDISTANCE, 140);
   ObjectSet("SignalEMAM1t", OBJPROP_YDISTANCE, 51+Shift);  
       
           ObjectCreate("SignalEMAM1", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalEMAM1", M1_EMA, 45, "Tahoma Narrow",  color_EMAm1);
   ObjectSet("SignalEMAM1", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalEMAM1", OBJPROP_XDISTANCE, 110);
   ObjectSet("SignalEMAM1", OBJPROP_YDISTANCE, 18+Shift); 
        
           ObjectCreate("SignalEMAM5", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalEMAM5", M5_EMA, 45, "Tahoma Narrow",  color_EMAm5);
   ObjectSet("SignalEMAM5", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalEMAM5", OBJPROP_XDISTANCE, 90);
   ObjectSet("SignalEMAM5", OBJPROP_YDISTANCE, 18+Shift); 
      
           ObjectCreate("SignalEMAM15", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalEMAM15", M15_EMA, 45, "Tahoma Narrow",  color_EMAm15);
   ObjectSet("SignalEMAM15", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalEMAM15", OBJPROP_XDISTANCE, 70);
   ObjectSet("SignalEMAM15", OBJPROP_YDISTANCE, 18+Shift); 
      
           ObjectCreate("SignalEMAM30", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalEMAM30", M30_EMA, 45, "Tahoma Narrow",  color_EMAm30);
   ObjectSet("SignalEMAM30", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalEMAM30", OBJPROP_XDISTANCE, 50);
   ObjectSet("SignalEMAM30", OBJPROP_YDISTANCE, 18+Shift); 
      
           ObjectCreate("SignalEMAM60", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalEMAM60", H1_EMA, 45, "Tahoma Narrow",  color_EMAm60);
   ObjectSet("SignalEMAM60", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalEMAM60", OBJPROP_XDISTANCE, 30);
   ObjectSet("SignalEMAM60", OBJPROP_YDISTANCE, 18+Shift); 
         
           ObjectCreate("SignalEMAM240", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("SignalEMAM240", H4_EMA, 45, "Tahoma Narrow",  color_EMAm240);
   ObjectSet("SignalEMAM240", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("SignalEMAM240", OBJPROP_XDISTANCE, 10);
   ObjectSet("SignalEMAM240", OBJPROP_YDISTANCE, 18+Shift); 
   
   //*****************************************************************************************************
   //Info
   
   double Price1 = iMA(Symbol(),0,1,0,MODE_EMA,PRICE_CLOSE,0);   
    PRC1 = DoubleToStr(Price1,Digits);
      
    if (Letras_chicas  == false)
    {  
      
    if (Ver_precio_ampliado  == true)
    {      
           ObjectCreate("PrecioActual", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("PrecioActual",""+PRC1+"", 30, "Tahoma Narrow",  color_m30);
   ObjectSet("PrecioActual", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("PrecioActual", OBJPROP_XDISTANCE, 10);
   ObjectSet("PrecioActual", OBJPROP_YDISTANCE, 60+Shift); 
   }}
          
    if (Letras_chicas  == true)
    {  
     if (Ver_precio_ampliado  == true)
    {     
           ObjectCreate("PrecioActual", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("PrecioActual",""+PRC1+"", 15, "Tahoma Narrow",  color_m30);
   ObjectSet("PrecioActual", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("PrecioActual", OBJPROP_XDISTANCE, 10);
   ObjectSet("PrecioActual", OBJPROP_YDISTANCE, 60+Shift);  
   }}
   int R1=0,R5=0,R10=0,R20=0,RAvg=0,i=0;
   R1 =  (iHigh(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1))/Point;
   for(i=1;i<=5;i++)
      R5    =    R5  +  (iHigh(NULL,PERIOD_D1,i)-iLow(NULL,PERIOD_D1,i))/Point;
   for(i=1;i<=10;i++)
      R10   =    R10 +  (iHigh(NULL,PERIOD_D1,i)-iLow(NULL,PERIOD_D1,i))/Point;
   for(i=1;i<=20;i++)
      R20   =    R20 +  (iHigh(NULL,PERIOD_D1,i)-iLow(NULL,PERIOD_D1,i))/Point;

   R5 = R5/5;
   R10 = R10/10;
   R20 = R20/20;
   RAvg  =  (R1+R5+R10+R20)/4;    
   
   string HI="",LO="",SPREAD="",PIPS="",DAV="",HILO="",PRC,Pips="",Av="",AV_Yest="";
   color color_pip,color_av;
   double OPEN = iOpen(NULL,1440,0);
   double CLOSE = iClose(NULL,1440,0);
   double SPRD = (Ask - Bid)/Point;
   double High_Today = iHigh(NULL,1440,0);
   double Low_Today = iLow(NULL,1440,0);
   PIPS =  DoubleToStr((CLOSE-OPEN)/Point,0);
   
   if (SPRD>10) 
   {
      SPREAD=DoubleToStr(SPRD/10,1);
   }
   else
   {
      SPREAD=DoubleToStr(SPRD,1);
   }
   
   
   DAV = (DoubleToStr(RAvg,0));
   AV_Yest =  (iHigh(NULL,PERIOD_D1,1)-iLow(NULL,PERIOD_D1,1))/Point;
   HILO = DoubleToStr((High_Today-Low_Today)/Point,0);
  
     if (CLOSE >= OPEN) {Pips= "-";color_pip = Lime; }
     if (CLOSE < OPEN) {Pips= "-";color_pip = OrangeRed; }
      if (DAV > AV_Yest) {Av= "-";color_av = Lime; }
     if (DAV < AV_Yest) {Av= "-";color_av = OrangeRed; }
     
        
    if (Letras_chicas  == false)
    {     
    if (Ver_detalles == true)
    {
     if (Ver_precio_ampliado  == true)
    {  
    
                ObjectCreate("ValorSpread", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("ValorSpread","Spread", 10, "Arial", LightSteelBlue);
   ObjectSet("ValorSpread", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("ValorSpread", OBJPROP_XDISTANCE, 45);
   ObjectSet("ValorSpread", OBJPROP_YDISTANCE, 100+Shift); 
   
               ObjectCreate("MMLEVELS8", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS8",""+SPREAD+"", 10, "Arial Bold", Gold);
   ObjectSet("MMLEVELS8", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS8", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS8", OBJPROP_YDISTANCE, 100+Shift);  
     
                ObjectCreate("PipsDesdeApertura", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("PipsDesdeApertura","Desde Apertura", 10, "Arial", LightSteelBlue);
   ObjectSet("PipsDesdeApertura", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("PipsDesdeApertura", OBJPROP_XDISTANCE, 45);
   ObjectSet("PipsDesdeApertura", OBJPROP_YDISTANCE, 115+Shift); 
   
               ObjectCreate("MMLEVELS10", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS10",""+PIPS+"", 10, "Arial Bold", color_pip);
   ObjectSet("MMLEVELS10", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS10", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS10", OBJPROP_YDISTANCE, 115+Shift);  
      
                ObjectCreate("Diferencia_pips_max_min", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Diferencia_pips_max_min","Max/Min", 10, "Arial", LightSteelBlue);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_XDISTANCE, 45);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_YDISTANCE, 130+Shift); 
   
               ObjectCreate("MMLEVELS12", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS12",""+HILO+"", 10, "Arial Bold", Gold);
   ObjectSet("MMLEVELS12", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS12", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS12", OBJPROP_YDISTANCE, 130+Shift);  
   
                 ObjectCreate("Media_Diaria", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Media_Diaria","1/2 Diaria", 10, "Arial",LightSteelBlue);
   ObjectSet("Media_Diaria", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Media_Diaria", OBJPROP_XDISTANCE, 45);
   ObjectSet("Media_Diaria", OBJPROP_YDISTANCE, 145+Shift); 
   
               ObjectCreate("MMLEVELS14", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS14",""+DAV+"", 10, "Arial Bold", color_av);
   ObjectSet("MMLEVELS14", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS14", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS14", OBJPROP_YDISTANCE, 145+Shift); 

   // Hora Broker y tu
   string QueTime = "";
                 ObjectCreate("HoraBroker", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("HoraBroker","Hora Broker", 10, "Arial",LightSteelBlue);
   ObjectSet("HoraBroker", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("HoraBroker", OBJPROP_XDISTANCE, 45);
   ObjectSet("HoraBroker", OBJPROP_YDISTANCE, 160+Shift); 
   
               ObjectCreate("MMLEVELS15", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS15",QueTime, 10, "Arial Bold", color_av);
   ObjectSet("MMLEVELS15", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS15", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS15", OBJPROP_YDISTANCE, 160+Shift); 
   
      
   //          ObjectCreate("Contacto", OBJ_LABEL, 0, 0, 0);
   //ObjectSetText("Contacto", " TraderForex@yahoogroups.com", 09, "Arial Narrow", Yellow);
   //ObjectSet("Contacto", OBJPROP_CORNER, Esquina_Superior_derecha);
   //ObjectSet("Contacto", OBJPROP_XDISTANCE, 10);
   //ObjectSet("Contacto", OBJPROP_YDISTANCE, 160+Shift); 

   //          ObjectCreate("Actualizado", OBJ_LABEL, 0, 0, 0);
   //ObjectSetText("Actualizado", " Derechos http://www.metaquotes.net", 09, "Arial Narrow", LightSteelBlue);
   //ObjectSet("Actualizado", OBJPROP_CORNER, Esquina_Superior_derecha);
   //ObjectSet("Actualizado", OBJPROP_XDISTANCE, 10);
   //ObjectSet("Actualizado", OBJPROP_YDISTANCE, 175+Shift); 

//             ObjectCreate("Programador", OBJ_LABEL, 0, 0, 0);
//   ObjectSetText("Programador", " MasterWhite", 08, "Arial Narrow", LightSteelBlue);
//   ObjectSet("Programador", OBJPROP_CORNER, Esquina_Superior_derecha);
//   ObjectSet("Programador", OBJPROP_XDISTANCE, 10);
//   ObjectSet("Programador", OBJPROP_YDISTANCE, 190+Shift); 
 }}}
 //*****************************************************************
 //Shift if price not wanted
  if (Letras_chicas  == false)
    {     
    if (Ver_detalles == true)
    {
     if (Ver_precio_ampliado  == false)
    {  
    
                ObjectCreate("ValorSpread", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("ValorSpread","Spread", 8, "Arial", LightSteelBlue);
   ObjectSet("ValorSpread", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("ValorSpread", OBJPROP_XDISTANCE, 45);
   ObjectSet("ValorSpread", OBJPROP_YDISTANCE, 60+Shift); 
   
               ObjectCreate("MMLEVELS8", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS8",""+SPREAD+"", 10, "Arial Bold", Gold);
   ObjectSet("MMLEVELS8", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS8", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS8", OBJPROP_YDISTANCE, 60+Shift);  
   
     
                ObjectCreate("PipsDesdeApertura", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("PipsDesdeApertura","Desde Apertura", 8, "Arial", LightSteelBlue);
   ObjectSet("PipsDesdeApertura", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("PipsDesdeApertura", OBJPROP_XDISTANCE, 45);
   ObjectSet("PipsDesdeApertura", OBJPROP_YDISTANCE, 75+Shift); 
   
               ObjectCreate("MMLEVELS10", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS10",""+PIPS+"", 10, "Arial Bold", color_pip);
   ObjectSet("MMLEVELS10", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS10", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS10", OBJPROP_YDISTANCE, 75+Shift);  
      
                ObjectCreate("Diferencia_pips_max_min", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Diferencia_pips_max_min","Max/Min", 8, "Arial", LightSteelBlue);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_XDISTANCE, 45);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_YDISTANCE, 90+Shift); 
   
               ObjectCreate("MMLEVELS12", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS12",""+HILO+"", 10, "Arial Bold", Gold);
   ObjectSet("MMLEVELS12", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS12", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS12", OBJPROP_YDISTANCE, 90+Shift);  
   
                 ObjectCreate("Media_Diaria", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Media_Diaria","1/2 Diaria", 8, "Arial",LightSteelBlue);
   ObjectSet("Media_Diaria", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Media_Diaria", OBJPROP_XDISTANCE, 45);
   ObjectSet("Media_Diaria", OBJPROP_YDISTANCE, 105+Shift); 
   
               ObjectCreate("MMLEVELS14", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS14",""+DAV+"", 10, "Arial Bold", color_av);
   ObjectSet("MMLEVELS14", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS14", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS14", OBJPROP_YDISTANCE, 105+Shift); 
 }}}
 
  //***********************************************************************
  //Smaller type option     
    if (Letras_chicas  == true)
    {     
    if (Ver_detalles == true)
    {
     if (Ver_precio_ampliado  == true)
    {  
    
                ObjectCreate("ValorSpread", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("ValorSpread","Spread", 9, "Arial", LightSteelBlue);
   ObjectSet("ValorSpread", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("ValorSpread", OBJPROP_XDISTANCE, 40);
   ObjectSet("ValorSpread", OBJPROP_YDISTANCE, 80+Shift); 
   
               ObjectCreate("MMLEVELS8", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS8",""+SPREAD+"", 9, "Arial Bold", Gold);
   ObjectSet("MMLEVELS8", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS8", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS8", OBJPROP_YDISTANCE, 80+Shift);  
   
     
                ObjectCreate("PipsDesdeApertura", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("PipsDesdeApertura","Desde Apertura", 9, "Arial", LightSteelBlue);
   ObjectSet("PipsDesdeApertura", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("PipsDesdeApertura", OBJPROP_XDISTANCE, 40);
   ObjectSet("PipsDesdeApertura", OBJPROP_YDISTANCE, 95+Shift); 
   
               ObjectCreate("MMLEVELS10", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS10",""+PIPS+"", 9, "Arial Bold", color_pip);
   ObjectSet("MMLEVELS10", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS10", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS10", OBJPROP_YDISTANCE, 95);  
      
                ObjectCreate("Diferencia_pips_max_min", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Diferencia_pips_max_min","Max/Min", 9, "Arial", LightSteelBlue);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_XDISTANCE, 40);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_YDISTANCE, 110+Shift); 
   
               ObjectCreate("MMLEVELS12", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS12",""+HILO+"", 9, "Arial Bold", Gold);
   ObjectSet("MMLEVELS12", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS12", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS12", OBJPROP_YDISTANCE, 110+Shift);  
   
                 ObjectCreate("Media_Diaria", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Media_Diaria","1/2 Diaria", 9, "Arial",LightSteelBlue);
   ObjectSet("Media_Diaria", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Media_Diaria", OBJPROP_XDISTANCE, 40);
   ObjectSet("Media_Diaria", OBJPROP_YDISTANCE, 125+Shift); 
   
               ObjectCreate("MMLEVELS14", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS14",""+DAV+"", 9, "Arial Bold", color_av);
   ObjectSet("MMLEVELS14", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS14", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS14", OBJPROP_YDISTANCE, 125+Shift); 
 }}}
 
 //****************************************************************
 // Shift if Price not needed
  if (Letras_chicas  == true)
    {     
    if (Ver_detalles == true)
    {
     if (Ver_precio_ampliado  == false)
    {  
    
                ObjectCreate("ValorSpread", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("ValorSpread","Spread", 9, "Arial", LightSteelBlue);
   ObjectSet("ValorSpread", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("ValorSpread", OBJPROP_XDISTANCE, 40);
   ObjectSet("ValorSpread", OBJPROP_YDISTANCE, 60+Shift); 
   
               ObjectCreate("MMLEVELS8", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS8",""+SPREAD+"", 9, "Arial Bold", Gold);
   ObjectSet("MMLEVELS8", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS8", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS8", OBJPROP_YDISTANCE, 60+Shift);  
   
     
                ObjectCreate("PipsDesdeApertura", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("PipsDesdeApertura","Pips to Open", 9, "Arial", LightSteelBlue);
   ObjectSet("PipsDesdeApertura", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("PipsDesdeApertura", OBJPROP_XDISTANCE, 40);
   ObjectSet("PipsDesdeApertura", OBJPROP_YDISTANCE, 75+Shift); 
   
               ObjectCreate("MMLEVELS10", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS10",""+PIPS+"", 9, "Arial Bold", color_pip);
   ObjectSet("MMLEVELS10", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS10", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS10", OBJPROP_YDISTANCE, 75+Shift);  
      
                ObjectCreate("Diferencia_pips_max_min", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Diferencia_pips_max_min","Hi to Low", 9, "Arial", LightSteelBlue);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_XDISTANCE, 40);
   ObjectSet("Diferencia_pips_max_min", OBJPROP_YDISTANCE, 90+Shift); 
   
               ObjectCreate("MMLEVELS12", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS12",""+HILO+"", 9, "Arial Bold", Gold);
   ObjectSet("MMLEVELS12", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS12", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS12", OBJPROP_YDISTANCE, 90+Shift);  
   
                 ObjectCreate("Media_Diaria", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("Media_Diaria","Daily Av", 9, "Arial",LightSteelBlue);
   ObjectSet("Media_Diaria", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("Media_Diaria", OBJPROP_XDISTANCE, 40);
   ObjectSet("Media_Diaria", OBJPROP_YDISTANCE, 105+Shift); 
   
               ObjectCreate("MMLEVELS14", OBJ_LABEL, 0, 0, 0);
   ObjectSetText("MMLEVELS14",""+DAV+"", 9, "Arial Bold", color_av);
   ObjectSet("MMLEVELS14", OBJPROP_CORNER, Esquina_Superior_derecha);
   ObjectSet("MMLEVELS14", OBJPROP_XDISTANCE, 10);
   ObjectSet("MMLEVELS14", OBJPROP_YDISTANCE, 105+Shift); 
 }}}
 

     
//----
   return(0);
  }


//+------------------------------------------------------------------+